### Method

# ICalGLib Component add_property

since: 1.0

#### Declaration [src]

    void
    i_cal_component_add_property (
      ICalComponent* component,
      ICalProperty* property
    )

#### Description [src]

Adds an `ICalProperty` into `ICalComponent`.

Available since: 1.0

#### Parameters

`property`

  Type: `ICalProperty`

  An `ICalProperty`.

  The data is owned by the caller of the method.